// //////////////////////////////////////////////////////////////////////////
// Header file CppLineParserBuilder.h for class CppLineParserBuilder
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef CPPLINEPARSERBUILDER_H
#define CPPLINEPARSERBUILDER_H

class QString;


/*! \class CppLineParserBuilder
 * \brief This class represents the builder used by CppLineParser when token are recognized.
 */
class CppLineParserBuilder
{
public:
  /// Destructor.
  virtual ~CppLineParserBuilder();

  virtual void fileIncluded( const QString &fileName,
                             bool searchParentDir ) =0;

private:
};



// Inlines methods for CppLineParserBuilder:
// -----------------------------------------



#endif  // CPPLINEPARSERBUILDER_H
